Bug 728637 - Mobility Radeon HD 3650: EDID, LCD kernel errors appear on boot
Summary: Mobility Radeon HD 3650: EDID, LCD kernel errors appear on boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: [cat:others]
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 21:33 UTC by Andrey
Modified: 2018-04-11 14:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:13:34 UTC


Attachments (Terms of Use)

Description Andrey 2011-08-05 21:33:43 UTC
Description of problem:

When I boot, I have these errors before logging in:

[drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is ZZZ
[drm:drm_edid_block_valid] *ERROR* Raw EDID:
[drm:radeon_atombios_get_lvds_info] *ERROR* Bad LCD record 217

ZZZ is always different, I have seen 17, 34, 98, 188, 211

Version-Release number of selected component (if applicable):
I am using kernel 2.6.38.8-35.fc15.i686, no customization

How reproducible:
Start computer, push ESC key during the boot process to see the messages.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Error messages as shown above

Expected results:
No error messages

Additional info:

Comment 1 Matěj Cepl 2011-08-06 15:45:50 UTC

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

What other issues you observe? Is there something which actually doesn't work?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Fedora End Of Life 2012-08-07 19:13:36 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.